Moody’s strongly recommends that Risk Modeler and UnderwriteIQ tenants use the Platform APIs instead of the Risk Modeler APIs for all future projects. See Migrate to Plaform APIs.

Import exposures from file

Imports exposure data into an EDM from flat files uploaded to a storage bucket.

Prior to running this operation, you must upload the exposure data to a storage bucket using AWS. Once uploaded to the storage bucket, you can use this operation to import the data into the EDM.

This operation represents the final step in both the MRI and ALM Import workflows. Depending on the value specified for importType, initiaties either an MRI_IMPORT or ALM_IMPORT job.

Multi-relational import

Multi-relational import (MRI) is a process for importing exposure data into an EDM from source files uploaded to Amazon Simple Storage Service (Amazon S3).

The MRI process imports account, location, reinsurance exposure data from source files that have been uploaded to a storage bucket. MRI also leverages a distinct import mapping file that defines the relationships between the account, location, and reinsurance exposures and between source file columns and EDM database columns.

The request body specifies the ID of a storage bucket (bucketId), the ID of the EDM (dataSourceName), and the text delimiter used to structure exposure data in the source files. If the storage bucket contains multiple data source files, specify the ID number of each file (e.g. accountsFileId, locationsFileId, reinsuranceFileId) and the import mapping file (mappingFileId) as needed:

{
     "importType": "MRI",
     "bucketId": 35678,
     "dataSourceName": "myEDMdataSource",
     "accountsFileId": 777777,
     "locationsFileId": 888888,
     "reinsuranceFileId": 999999,
     "mappingFileId": 555555,
     "currency": "USD",
     "locale": "en-GB",
     "delimiter": "TAB",
     "appendLocations": true,
     "portfolioId": 1245,
}

🍎

Data Migration Recipe

The MRI import process combines RMS Risk Modeler APIs and custom processes that leverage Amazon Web Services (AWS). For step-by-step instructions, see Multi-Relational Input.

ALM import

The Aggregate Loss Model (ALM) import workflow enables you to create aggregate portfolios by means of importing exposure data from flat files uploaded to an Amazon S3 storage bucket.

In this scenario, the flat file contains exposure values, aggregated by geographic unit (e.g., CRESTA) or line of business (e.g., Commercial).

The request body specifies the ID of the storage bucket (bucketId), the ID of the EDM (dataSourceName), and the IDs of the portfolios.

{
	"importType": "ALM",
	"bucketId": 35677,
	"dataSourceName": "myEdmDatasource",
	"portfolioIds": [3]
}

The LOBs that may be modeled differs depending on the modeled countries licensed. For non-modeled countries, ALM supports only residential (SPER) and commercial lines (COM) of business.

📷

Idemptopotent Operation

This operation supports idempotency by means of idempotency keys. To learn more, see Idempotent Requests.

🍐

Permissions

To perform this operation, a principal must be assigned the appropriate role-based permissions:

UnderwriterTechnical UnderwriterRisk AnalystPortfolio ManagerCat Modeler
YesYesYesYesYes
Body Params
int32
required
≥ 1

ID of the Amazon S3 storage bucket.

int32

ID of uploaded account source file.

int32

ID of uploaded location source file.

int32

ID of uploaded reinsurance source file.

int32

ID of uploaded import mapping file.

string

Language convention assumed for imported dates and numbers. One of de-DE (Standarddeutsch), en-GB (British English), en-US (American English), fr-FR (le français standard). By default, en-US.

string

Default currency for imported data. Specifies the currency used if the currency column for an imported exposure is undefined or blank. Does not overwrite specified currency values.

string
required

Name of EDM datastore into which the account, location, and reinsurance data is imported.

string
enum
required

Delimiter used to identify data columns in the flat files. One of TAB, COMMA, SEMICOLON.

Allowed:
int32
≥ 0

Number of lines to skip in source files if the flat files contain header columns.

boolean

If true, imported location data is added to an existing account.

boolean

This functionality is not supported. By default, false.

int32

ID of portfolio. If specified, the imported accounts are associated that portfolio. If null, the uploaded accounts are not associated with any portfolio.

string
enum

Import job type. One of MRI, ALM.

Allowed:
portfolioIds
array of int32s

Array of portfolios identifed by ID.

portfolioIds
Headers
string
enum
Defaults to en-US

Language convention assumed for imported dates and numbers. By default, en-US.

Allowed:
Responses

MRI_IMPORT or ALM_IMPORT job was added to the workflow engine queue for processing. Returns a URL in the Location header that enables you to track the status of the job e.g. /{host}/v1/workflows/100000. Send periodic HTTP GET requests to the URL for the job status. See Workflow Engine.

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
*/*
application/json